generic_binary_traits< plus >::hint< A1, undeterminated_basic< A2 >, R >

## Public Types

typedef A1 | first_argument_type
typedef std::conditional< details::is_equal< A1, R >::value, R, binop_error< details::plus, A1, A2, R > >::type | second_argument_type
typedef R | result_type

## Detailed Description

Definition at line 493 of file expression.h.

## Member Typedef Documentation

## first_argument_type

typedef A1 first_argument_type

Definition at line 494 of file expression.h.

## second_argument_type

typedef std::conditional< details::is_equal<A1,R>::value, R, binop_error<details::plus,A1,A2,R> >::type second_argument_type

Definition at line 499 of file expression.h.

## result_type

typedef R result_type

Definition at line 500 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/expression.h